## org.apache.fop.fo.flow
Class TableRow

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.flow.TableRow

public class TableRow
extends FObj

Inner Class Summary
`class` `TableRow.CellState` CellState Copyright @ 2000 Circuit Court Automation Program.
`static class` `TableRow.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Field Summary
`java.util.Vector` `cells` The list of cell states for this row.

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`TableRow(FObj parent, PropertyList propertyList)`

Method Summary
`void` `doSetup(Area area)`
`int` `getAreaHeight()`
`KeepValue` `getKeepWithPrevious()`
`Status` `layout(Area area)` generates the area or areas for this formatting object and adds these to the area.
`static FObj.Maker` `maker()`
`void` `removeLayout(Area area)`
`void` `resetMarker()`
`void` `setColumns(java.util.Vector columns)`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cells

    public java.util.Vector cells

  The list of cell states for this row. This is the location of where I will be storing the state of each cell so that I can spread a cell over multiple pages if I have to. This is part of fixing the TableRow larger than a single page bug. Hani Elabed, 11/22/2000.

Constructor Detail

### TableRow

    public TableRow(FObj parent,
                    PropertyList propertyList)

Method Detail

### maker

    public static FObj.Maker maker()

### setColumns

    public void setColumns(java.util.Vector columns)

### getKeepWithPrevious

    public KeepValue getKeepWithPrevious()

### doSetup

    public void doSetup(Area area)
                 throws FOPException

### layout

    public Status layout(Area area)
                  throws FOPException

  Description copied from class: FObj
  generates the area or areas for this formatting object and adds these to the area. This method should always be overridden by all sub classes
  Overrides:
    layout in class FObj
  Tags copied from class: FObj
  Parameters:
    `area` -

### getAreaHeight

    public int getAreaHeight()

### removeLayout

    public void removeLayout(Area area)

### resetMarker

    public void resetMarker()

  Overrides:
    resetMarker in class FONode

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.